<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: magpar_scripts::TestVectorClass Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="namespacemagpar__scripts.html">magpar_scripts</a>::<a class="el" href="classmagpar__scripts_1_1TestVectorClass.html">TestVectorClass</a>
  </div>
</div>
<div class="contents">
<h1>magpar_scripts::TestVectorClass Class Reference</h1><!-- doxytag: class="magpar_scripts::TestVectorClass" --><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a217fc0c725b08fdb8b8ac5ee20308fa2">setUp</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a117d4fa22da3509bfb8205320d241921">testNeg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ac47043842b47255a7705a71558fafd17">testAbs</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ad351b58d7c717bbb4d61a6ecf6e11e5a">testPow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ab372ec12affd4d96b604deaf93e280b3">testSimpleArithmetics</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#aedc45061b0ead2c880c52ae0ac7a2469">testOuter</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a04e5dcb6644a694bcf6859c7bf13cb22">testNormalize</a></td></tr>
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ae8eee6114b309781030a26186a2f51f8">x</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a765656d62f787a28edb0ebfe8d99d8ff">y</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#afffaaaf95e78ae1659732957885268a4">z</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#af2c6308532591279b25325d21f14c878">a</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a6b5e0f626398d535781ca77d9a21d571">b</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#aac73afdc7768f9a884c55c7d1c5559f1">c</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00153">153</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a217fc0c725b08fdb8b8ac5ee20308fa2"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::setUp" ref="a217fc0c725b08fdb8b8ac5ee20308fa2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::TestVectorClass::setUp </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00154">154</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="ac47043842b47255a7705a71558fafd17"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::testAbs" ref="ac47043842b47255a7705a71558fafd17" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::TestVectorClass::testAbs </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00167">167</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a117d4fa22da3509bfb8205320d241921"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::testNeg" ref="a117d4fa22da3509bfb8205320d241921" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::TestVectorClass::testNeg </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00162">162</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a04e5dcb6644a694bcf6859c7bf13cb22"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::testNormalize" ref="a04e5dcb6644a694bcf6859c7bf13cb22" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::TestVectorClass::testNormalize </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00203">203</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="aedc45061b0ead2c880c52ae0ac7a2469"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::testOuter" ref="aedc45061b0ead2c880c52ae0ac7a2469" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::TestVectorClass::testOuter </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00199">199</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="ad351b58d7c717bbb4d61a6ecf6e11e5a"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::testPow" ref="ad351b58d7c717bbb4d61a6ecf6e11e5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::TestVectorClass::testPow </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00173">173</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="ab372ec12affd4d96b604deaf93e280b3"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::testSimpleArithmetics" ref="ab372ec12affd4d96b604deaf93e280b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::TestVectorClass::testSimpleArithmetics </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00179">179</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="af2c6308532591279b25325d21f14c878"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::a" ref="af2c6308532591279b25325d21f14c878" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#af2c6308532591279b25325d21f14c878">magpar_scripts::TestVectorClass::a</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00158">158</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a6b5e0f626398d535781ca77d9a21d571"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::b" ref="a6b5e0f626398d535781ca77d9a21d571" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a6b5e0f626398d535781ca77d9a21d571">magpar_scripts::TestVectorClass::b</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00159">159</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="aac73afdc7768f9a884c55c7d1c5559f1"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::c" ref="aac73afdc7768f9a884c55c7d1c5559f1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#aac73afdc7768f9a884c55c7d1c5559f1">magpar_scripts::TestVectorClass::c</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00160">160</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="ae8eee6114b309781030a26186a2f51f8"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::x" ref="ae8eee6114b309781030a26186a2f51f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ae8eee6114b309781030a26186a2f51f8">magpar_scripts::TestVectorClass::x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00155">155</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a765656d62f787a28edb0ebfe8d99d8ff"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::y" ref="a765656d62f787a28edb0ebfe8d99d8ff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a765656d62f787a28edb0ebfe8d99d8ff">magpar_scripts::TestVectorClass::y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00156">156</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="afffaaaf95e78ae1659732957885268a4"></a><!-- doxytag: member="magpar_scripts::TestVectorClass::z" ref="afffaaaf95e78ae1659732957885268a4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#afffaaaf95e78ae1659732957885268a4">magpar_scripts::TestVectorClass::z</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00157">157</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>pytools/<a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a></li>
</ul>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

